updateDocumentInstanceTrusted

Generate a new document instance.

Access is restricted to I_DOCUMENTSERVICEBF_TRUSTED role.

Like PUT /documentInstance/{referenceType}/{referenceNumber}/{documentType} but with less limitations to the uploaded contents.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Document reference type

string
required

Document reference number

string
required

Document type

Query Params
boolean
Defaults to true

Automatically create reference object

string

Document file name

int32

How long should the generated document be retained (max 90 days)

printerModelString
object

Model of the printer (aka printer type) for which the printable printer raw data applies (only relevant for content-type "print/raw")
Example : ZEBRA GK420d

printerId
object

Some ERP systems responsible for printing need more information about the printer (only relevant for content-type "print/raw")

resolution
object

Print resolution in DPI (only relevant for content-type "image/*")

offsetX
object

X offset in mm (only relevant for content-type "image/*")

offsetY
object

Y offset in mm (only relevant for content-type "image/*")

tag
array of strings

Additional tags that help to further describe the document (e.g. document source system, context, category...) and allows it to be found again by browsing and searching.

Tags must follow the kebab case naming convention(lowercase, and words are separated by hyphens)

Existing tags are retained if no value is defined. Defined values replace the existing tags. To delete all text without creating a tag, an empty tag has to be defined (e.g. &tag=)

tag
Body Params

Document data

Responses
204

Document instance was updated

400

Document was not found

403

Access denied, restricted to I_DOCUMENTSERVICEBF_TRUSTED role.

404

Reference object was not found

410

Document has already expired

423

Document locked when updating content store

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!